com.tibco.n2.service.adapter.component.impl

## Class BRMComponentImpl

- java.lang.Object
- - com.tibco.n2.service.adapter.component.impl.BRMComponentImpl

- All Implemented Interfaces:
    BRMComponent

      public class BRMComponentImpl
      extends java.lang.Object
      implements BRMComponent

  TODO Give a useful description of the type.
  Since:
    TODO

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BRMComponentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrganisationalEntityConfigService` | `getOrganisationalEntityConfigService()` TODO Describe this mehod
    `WorkItemManagementService` | `getWorkItemManagementService()` Retrieve a connection to the Work Item Management service.
    `WorkItemSchedulerService` | `getWorkItemSchedulerService()` TODO Describe this mehod
    `WorkListService` | `getWorkListService()` Retrieve a connection to the Work List service.
    `void` | `setOrganisationalEntityConfigService(OrganisationalEntityConfigService orgEntityConfigServiceProxy)` TODO Describe this mehod
    `void` | `setWorkItemManagementService(WorkItemManagementService workItemManagementServiceProxy)` TODO Describe this mehod
    `void` | `setWorkItemSchedulerService(WorkItemSchedulerService workItemSchedulerServiceProxy)` TODO Describe this mehod
    `void` | `setWorkListService(WorkListService workListServiceProxy)` TODO Describe this mehod

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BRMComponentImpl

          public BRMComponentImpl()

  - ### Method Detail

    - #### getOrganisationalEntityConfigService

          public OrganisationalEntityConfigService getOrganisationalEntityConfigService()
                                                                                 throws ConfigurationException

      TODO Describe this mehod
      Specified by:
        `getOrganisationalEntityConfigService` in interface `BRMComponent`
      Returns:
        Returns the orgEntityConfigServiceProxy.
      Throws:
        `ConfigurationException`

    - #### setOrganisationalEntityConfigService

          public void setOrganisationalEntityConfigService(OrganisationalEntityConfigService orgEntityConfigServiceProxy)

      TODO Describe this mehod
      Parameters:
        `orgEntityConfigServiceProxy` - The orgEntityConfigServiceProxy to set.

    - #### setWorkListService

          public void setWorkListService(WorkListService workListServiceProxy)

      TODO Describe this mehod
      Parameters:
        `workListServiceProxy` - The workListServiceProxy to set.

    - #### getWorkListService

          public WorkListService getWorkListService()
                                             throws ConfigurationException

      Description copied from interface: `BRMComponent`
      Retrieve a connection to the Work List service.
      Specified by:
        `getWorkListService` in interface `BRMComponent`
      Returns:
        returns a connection to the Work List service.
      Throws:
        `ConfigurationException`

    - #### getWorkItemManagementService

          public WorkItemManagementService getWorkItemManagementService()
                                                                 throws ConfigurationException

      Description copied from interface: `BRMComponent`
      Retrieve a connection to the Work Item Management service.
      Specified by:
        `getWorkItemManagementService` in interface `BRMComponent`
      Returns:
        returns a connection to the Work Item Management service.
      Throws:
        `ConfigurationException`

    - #### setWorkItemManagementService

          public void setWorkItemManagementService(WorkItemManagementService workItemManagementServiceProxy)

      TODO Describe this mehod
      Parameters:
        `workItemManagementServiceProxy` - The workItemManagementServiceProxy to set.

    - #### getWorkItemSchedulerService

          public WorkItemSchedulerService getWorkItemSchedulerService()
                                                               throws ConfigurationException

      TODO Describe this mehod
      Specified by:
        `getWorkItemSchedulerService` in interface `BRMComponent`
      Returns:
        Returns the workItemSchedulerServiceProxy.
      Throws:
        `ConfigurationException`

    - #### setWorkItemSchedulerService

          public void setWorkItemSchedulerService(WorkItemSchedulerService workItemSchedulerServiceProxy)

      TODO Describe this mehod
      Parameters:
        `workItemSchedulerServiceProxy` - The workItemSchedulerServiceProxy to set.

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.